Bug 31330 - Disabled context actions appear enabled
Summary: Disabled context actions appear enabled
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.4.2
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Rui Marinho
URL:
Depends on:
Blocks:
 
Reported: 2015-06-23 14:42 UTC by Adam Kemp
Modified: 2015-10-12 10:53 UTC (History)
7 users (show)

Tags: AC
Is this bug a regression?: ---
Last known good build:


Attachments
Example project (398.97 KB, application/zip)
2015-06-23 14:42 UTC, Adam Kemp
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Adam Kemp 2015-06-23 14:42:06 UTC
Created attachment 11721 [details]
Example project

Disabled context actions (via returning false in the bound command's CanExecute method) in ListView appear enabled, and can be tapped (with visual feedback). Tapping on them, however, does nothing. They should either appear disabled (by color, perhaps) and be unresponsive to touch or (preferably) hidden entirely.

Toolbar items, on the other hand, appear visibly disabled when their bound commands return false from CanExecute.

See the attached project. Tap on List and then add some items with the plus button. Those items have two disabled context actions, each of which appears enabled.
Comment 1 Guilherme Torres Castro 2015-06-30 14:18:43 UTC
Any workaround for this ?
Comment 2 Rui Marinho 2015-08-14 05:46:54 UTC
Should be fixed in 1.5.0-pre2
Comment 3 Rui Marinho 2015-08-21 19:00:22 UTC
Correction pushed to 1.5.1-pre1.
Comment 4 Parmendra Kumar 2015-10-12 10:53:36 UTC
I have checked this issue with Xamarin.Forms 1.5.1-pre1 and its working fine.

Hence closing this issue.